#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActiveLoginData
{
	//天数
	int mDay;
	//类型
	int mType;
	//奖励物品ID
	std::vector<int> mItemId;
	//奖励物品数量
	std::vector<int> mItemNumber;
};

class M_ActiveLogin
{
public:
private:
	static std::auto_ptr<M_ActiveLogin> msSingleton;
public:
	int GetCount();
	const M_ActiveLoginData* GetData(int Day);
	boost::unordered_map<int, M_ActiveLoginData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActiveLogin* GetSingleton();
private:
	boost::unordered_map<int, M_ActiveLoginData> mMapData;
};
